#
# spec file for package xorg-x11-driver-video-intel-legacy (Version 2.9.1)
#
# Copyright (c) 2010 Guido Berhoerster.
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://support.novell.com
#

# usedforbuild    ConsoleKit Mesa Mesa-devel PolicyKit aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-suse build bzip2 coreutils cpio cpp cpp43 cracklib cvs cyrus-sasl dbus-1 dbus-1-glib device-mapper diffutils file filesystem fillup findutils fontconfig fontconfig-devel fonts-config freetype2 freetype2-devel gawk gcc gcc43 gdbm gettext-runtime gettext-tools glib2 glib2-branding-upstream glibc glibc-devel glibc-locale gmp grep groff gzip hal info insserv less libacl libattr libblkid1 libbz2-1 libbz2-devel libdb-4_5 libdrm libdrm-devel libexpat1 libgcc43 libglib-2_0-0 libgobject-2_0-0 libgomp43 libgthread-2_0-0 libjpeg libldap-2_4-2 libltdl7 libmpfr1 libncurses5 libnscd libopenssl0_9_8 libpciaccess0 libpciaccess0-devel libpixman-1-0 libpixman-1-0-devel libpng12-0 libreadline5 libreiserfs libselinux1 libsepol1 libsmbios2 libstdc++43 libtool libusb-0_1-4 libuuid-devel libuuid1 libvolume_id1 libxcrypt libzio linux-kernel-headers login m4 make man net-tools netcfg pam pam-config pam-modules parted patch pciutils pcre perl perl-TimeDate perl-base permissions pkg-config pmtools popt post-build-checks psmisc pwdutils rpm rpmlint-Factory rpmlint-mini sed setserial sysvinit tar terminfo-base texinfo timezone util-linux xorg-x11 xorg-x11-devel xorg-x11-fonts-core xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-server xorg-x11-server-sdk xorg-x11-util-devel xorg-x11-xauth xorg-x11-xtrans-devel zlib zlib-devel


Name:           xorg-x11-driver-video-intel-legacy
BuildRequires:  Mesa-devel xorg-x11-devel xorg-x11-sdk
Url:            http://intellinuxgraphics.org/
License:        MIT
Vendor:         Novell PLDP Build Service
Group:          System/X11/Servers/XF86_4
AutoReqProv:    on
Version:        2.9.1
Release:        3.1
Summary:        Legacy Version of the Intel X.Org Driver
Requires:       xorg-x11-server
Supplements:    xorg-x11-server
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         xf86-video-intel-%{version}.tar.bz2
Source1:        sax2-hwinfo-data.tar.gz
Source100:      %{name}-rpmlintrc
Patch0:         xf86-video-intel-G33-1mb.diff
Patch1:         xf86-video-intel-NoFBC-945GME.diff
Patch2:         xf86-video-intel-bfo17988.diff
Patch3:         moblin-dump-tools.patch
Patch4:         moblin-2009Q2-rc2-incremental.patch
Patch5:         moblin-uxa-Fix-segfault-on-source-only-picture-usage.patch
Patch6:         xf86-video-intel-buildfix.diff
Patch7:         xf86-video-intel-2.9.1-xorg-server-1.7.3-fixes.patch
Patch100:       xf86-video-intel-2.9.1-legacy.patch

%description
This package contains the legacy version of the Intel X.Org driver which does
not require KMS.

%debug_package
%prep
%setup -q -n xf86-video-intel-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p0
%patch7 -p0
%patch100 -p1

%build
autoreconf -fi
%configure CFLAGS="%optflags -fno-strict-aliasing"
make %{?jobs:-j%jobs}

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f %{buildroot}%{_bindir}/*
tar xf $RPM_SOURCE_DIR/sax2-hwinfo-data.tar.gz -C $RPM_BUILD_ROOT

%post
/sbin/ldconfig
if ls var/lib/hardware/ids/* &> /dev/null; then
  cat var/lib/hardware/ids/* > var/lib/hardware/hd.ids
else
  rm -f var/lib/hardware/hd.ids
fi
exit 0

%postun
/sbin/ldconfig
if ls var/lib/hardware/ids/* &> /dev/null; then
  cat var/lib/hardware/ids/* > var/lib/hardware/hd.ids
else
  rm -f var/lib/hardware/hd.ids
fi
exit 0

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc %{_mandir}/man4/intellegacy.4*
%dir /usr/share/sax
%dir /usr/share/sax/api
%dir /usr/share/sax/api/data
%dir /usr/share/sax/api/data/cdb
%dir /usr/share/sax/sysp
%dir /usr/share/sax/sysp/maps
%dir /usr/share/sax/sysp/maps/update
%dir /var/lib/hardware
%dir /var/lib/hardware/ids
%{_libdir}/libI810XvMClegacy.la
%{_libdir}/libI810XvMClegacy.so
%{_libdir}/libI810XvMClegacy.so.1
%{_libdir}/libI810XvMClegacy.so.1.0.0
%{_libdir}/libIntelXvMClegacy.la
%{_libdir}/libIntelXvMClegacy.so
%{_libdir}/libIntelXvMClegacy.so.1
%{_libdir}/libIntelXvMClegacy.so.1.0.0
%dir %{_libdir}/xorg/modules/drivers
%{_libdir}/xorg/modules/drivers/ch7017legacy.la
%{_libdir}/xorg/modules/drivers/ch7017legacy.so
%{_libdir}/xorg/modules/drivers/ch7xxxlegacy.la
%{_libdir}/xorg/modules/drivers/ch7xxxlegacy.so
%{_libdir}/xorg/modules/drivers/intellegacy_drv.la
%{_libdir}/xorg/modules/drivers/intellegacy_drv.so
%{_libdir}/xorg/modules/drivers/ivchlegacy.la
%{_libdir}/xorg/modules/drivers/ivchlegacy.so
%{_libdir}/xorg/modules/drivers/sil164legacy.la
%{_libdir}/xorg/modules/drivers/sil164legacy.so
%{_libdir}/xorg/modules/drivers/tfp410legacy.la
%{_libdir}/xorg/modules/drivers/tfp410legacy.so
/usr/share/sax/api/data/cdb/Cards.20.%{name}
/usr/share/sax/sysp/maps/update/Identity.map.20.%{name}
/var/lib/hardware/ids/20.%{name}

%changelog
* Mon Jul 12 2010 poswald@novell.com
-Initial PLDP build of version 2.9.1
